Package org.apache.catalina.mbeans

## Class ContextMBean

- java.lang.Object
- - org.apache.tomcat.util.modeler.BaseModelMBean
  - - org.apache.catalina.mbeans.BaseCatalinaMBean<Context>
    - - org.apache.catalina.mbeans.ContextMBean

All Implemented Interfaces:
  `javax.management.DynamicMBean`, `javax.management.MBeanRegistration`, `javax.management.modelmbean.ModelMBeanNotificationBroadcaster`, `javax.management.NotificationBroadcaster`

    public class ContextMBean
    extends BaseCatalinaMBean<Context>

### Field Summary

### Fields inherited from class org.apache.tomcat.util.modeler.BaseModelMBean

`attributeBroadcaster, generalBroadcaster, managedBean, oname, resource, resourceType`

### Constructor Summary

Constructors
`ContextMBean()`

### Method Summary

All Methods Instance Methods Concrete Methods Deprecated Methods
`java.lang.String[]` `findApplicationParameters()` Return the set of application parameters for this application.
`java.lang.String[]` `findConstraints()` Return the security constraints for this web application.
`java.lang.String` `findErrorPage​(int errorCode)` Return the error page entry for the specified HTTP error code, if any; otherwise return `null`.
`java.lang.String` `findErrorPage​(java.lang.String exceptionType)` Deprecated. Unused.
`java.lang.String` `findErrorPage​(java.lang.Throwable exceptionType)` Return the error page entry for the specified Java exception type, if any; otherwise return `null`.
`java.lang.String[]` `findErrorPages()` Return the set of defined error pages for all specified error codes and exception types.
`java.lang.String` `findFilterDef​(java.lang.String name)` Return the filter definition for the specified filter name, if any; otherwise return `null`.
`java.lang.String[]` `findFilterDefs()` Return the set of defined filters for this Context.
`java.lang.String[]` `findFilterMaps()` Return the set of filter mappings for this Context.

### Methods inherited from class org.apache.catalina.mbeans.BaseCatalinaMBean

`doGetManagedResource, newInstance`

### Methods inherited from class org.apache.tomcat.util.modeler.BaseModelMBean

`addAttributeChangeNotificationListener, addNotificationListener, getAttribute, getAttributes, getClassName, getJmxName, getManagedResource, getMBeanInfo, getModelerType, getNotificationInfo, getObjectName, invoke, postDeregister, postRegister, preDeregister, preRegister, removeAttributeChangeNotificationListener, removeNotificationListener, sendAttributeChangeNotification, sendAttributeChangeNotification, sendNotification, sendNotification, setAttribute, setAttributes, setManagedBean, setManagedResource, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### ContextMBean

    public ContextMBean()

### Method Detail

#### findApplicationParameters

    public java.lang.String[] findApplicationParameters()
                                                 throws javax.management.MBeanException

Return the set of application parameters for this application.

Returns:
  a string array with a representation of each parameter
Throws:
  `javax.management.MBeanException` - propagated from the managed resource access

#### findConstraints

    public java.lang.String[] findConstraints()
                                       throws javax.management.MBeanException

Return the security constraints for this web application. If there are none, a zero-length array is returned.

Returns:
  a string array with a representation of each security constraint
Throws:
  `javax.management.MBeanException` - propagated from the managed resource access

#### findErrorPage

    public java.lang.String findErrorPage​(int errorCode)
                                   throws javax.management.MBeanException

Return the error page entry for the specified HTTP error code, if any; otherwise return `null`.

Parameters:
  `errorCode` - Error code to look up
Returns:
  a string representation of the error page
Throws:
  `javax.management.MBeanException` - propagated from the managed resource access

#### findErrorPage

    @Deprecated
    public java.lang.String findErrorPage​(java.lang.String exceptionType)
                                   throws javax.management.MBeanException

Deprecated.
Unused. Will be removed in Tomcat 10. Use `findErrorPage(Throwable)` instead.
Return the error page entry for the specified Java exception type, if any; otherwise return `null`.

Parameters:
  `exceptionType` - Exception type to look up
Returns:
  a string representation of the error page
Throws:
  `javax.management.MBeanException` - propagated from the managed resource access

#### findErrorPage

    public java.lang.String findErrorPage​(java.lang.Throwable exceptionType)
                                   throws javax.management.MBeanException

Return the error page entry for the specified Java exception type, if any; otherwise return `null`.

Parameters:
  `exceptionType` - Exception type to look up
Returns:
  a string representation of the error page
Throws:
  `javax.management.MBeanException` - propagated from the managed resource access

#### findErrorPages

    public java.lang.String[] findErrorPages()
                                      throws javax.management.MBeanException

Return the set of defined error pages for all specified error codes and exception types.

Returns:
  a string array with a representation of each error page
Throws:
  `javax.management.MBeanException` - propagated from the managed resource access

#### findFilterDef

    public java.lang.String findFilterDef​(java.lang.String name)
                                   throws javax.management.MBeanException

Return the filter definition for the specified filter name, if any; otherwise return `null`.

Parameters:
  `name` - Filter name to look up
Returns:
  a string representation of the filter definition
Throws:
  `javax.management.MBeanException` - propagated from the managed resource access

#### findFilterDefs

    public java.lang.String[] findFilterDefs()
                                      throws javax.management.MBeanException

Return the set of defined filters for this Context.

Returns:
  a string array with a representation of all the filter definitions
Throws:
  `javax.management.MBeanException` - propagated from the managed resource access

#### findFilterMaps

    public java.lang.String[] findFilterMaps()
                                      throws javax.management.MBeanException

Return the set of filter mappings for this Context.

Returns:
  a string array with a representation of all the filter mappings
Throws:
  `javax.management.MBeanException` - propagated from the managed resource access